API Reference
Update person in batch
/v2/person https://api.cable.tech Authentication
- Bearer token in the Authorization header
person:write
Request body
An array of person update payloads. Each payload must include the ‘person_id’ to identify the person and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.
-
person_idstring requiredUnique external identifier of the person entity, ID stored in your database / back-office
Limits
min length 1 -
timestampstring requiredWhen this person record was created or last modified in your system, in ISO 8601 format. For example, account opening date or KYC completion time.
Format
date-time -
is_test_userboolean requiredIf the person is a test user, this should be set to true
Default
false -
is_retail_customerboolean requiredIndicates if the person is in the context of retail companies. If the value is false, fields is_beneficial_owner, is_director, is_account_owner and is_shareholder are required.
Example
true -
related_company_idstringUnique external identifier of the related company entity
Limits
min length 1 -
is_beneficial_ownerbooleanIf the person is a beneficial owner of the related company, this should be set to true. If is_retail_customer is false, this field is required.
Example
true -
is_directorbooleanIf the person is a director of the related company, this should be set to true. If is_retail_customer is false, this field is required.
Example
false -
is_account_ownerbooleanIf the person is an account owner of the related company, this should be set to true. If is_retail_customer is false, this field is required.
Example
true -
is_sole_propbooleanIf the related company is a sole proprietorship (or sole trader if in the UK), this should be set to true.
Example
false -
is_shareholderbooleanIf the person is a shareholder of the related company, this should be set to true. If is_retail_customer is false, this field is required.
Example
false -
is_significant_control_personbooleanIf the person has significant control of the related company, this should be set to true
Example
false -
ownership_percentagenumberIf the person is a shareholder of the related company, this should be set to their ownership percentage, as a value between 0 and 1
Example
0.5 -
account_statusstringThe account status for the related person. Refer to the Developer Guide “Entity Account Statuses” to understand what account statuses mean at Cable, and how to use them
Allowed values
APPROVEDBLOCKEDCLOSEDPENDINGREJECTED -
namestringThe provided full name of the person
Example
Alex Nguyen -
first_namestringThe provided first name of the person
Example
Alex -
last_namestringThe provided last name of the person
Example
Nguyen -
emailstringContact email for the person
Example
[email protected] -
addressobjectLegal/contact address for the entity
-
lineslist of stringsLimits
min items 1Example
160 Kemp House, City Road -
citystringExample
London -
statestringExample
New York -
countystringExample
Buckinghamshire -
postal_codestringExample
EC1V 2NX -
countrystringExample
France
-
-
phone_numberstringContact telephone number for the person
Example
+441234567899 -
date_of_birthstringFormat
dateExample
1945-03-22 -
nationalitystring2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)
Example
NPL -
occupationstringPrimary occupation of the individual
Example
Plumber -
first_transaction_completed_atstringOriginal timestamp of when the person completed their first transaction
Format
date-time -
national_identification_numberobject-
typestring requiredType of national identification number
-
valuestring requiredNational identification number
-
-
product_typestringLimits
min length 1
Responses
200 Persons updated successfully
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid person data
- 401 Unauthorized request
- 404 Person not found
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-